Create private forge template
POST
/api/v1/enterprise/forge/templates
const url = 'https://api.ultimateteam.ai/api/v1/enterprise/forge/templates';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"display_name":"example","domain":"example","industries_served":["example"],"playbook":[{}],"system_prompt":"example","tools":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/enterprise/forge/templates \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "display_name": "example", "domain": "example", "industries_served": [ "example" ], "playbook": [ {} ], "system_prompt": "example", "tools": [ "example" ] }'Create a private agent template (Enterprise plan required).
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
CreatePrivateTemplateRequest
Request body for creating a private forge template.
Attributes: domain: Expertise domain (e.g. tiktok_marketing). display_name: Human-readable template name. system_prompt: The agent system prompt text. playbook: Optional initial strategy rules. tools: Optional list of platform tools. industries_served: Optional list of industry tags.
object
display_name
required
Display Name
Human-readable template name
string
domain
required
Domain
Expertise domain
string
industries_served
Any of:
Array<string>
null
playbook
Any of:
Array<object>
object
key
additional properties
any
null
system_prompt
required
System Prompt
Agent system prompt
string
tools
Any of:
Array<string>
null
Examplegenerated
{ "display_name": "example", "domain": "example", "industries_served": [ "example" ], "playbook": [ {} ], "system_prompt": "example", "tools": [ "example" ]}Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
PrivateTemplateCreateResponse
Response for creating a private forge template — flat key/value dict.
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}